hammer content-view list --full-result true command doesn't show the list of all the repository IDs.
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 2141421 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2141421

Description of problem:
When multiple repositories are added to a content view, hammer content-view list command does not show a complete list of
repository IDs even after providing the --full-result option as:

1. hammer content-view list --full-result true

Version-Release number of selected component (if applicable):
6.11

How reproducible:
always

Steps to Reproduce:

1. Add multiple repositories.

2. list the content view details using the command: # hammer content-view list

it does not list all the repository IDs.

3. Try to use --full-result option: # hammer content-view list --full-result true which doesn't show the complete result.

Actual results:
hammer command does not show all repository IDs

Expected results:
The command should list all the repository IDs

Additional info:

Associated revisions

Revision 8330f7ab - 09/14/2023 05:57 PM - Samir Jha

Fixes #36743 - Show full repository id list in hammer content-view list output

History

#1 - 09/13/2023 05:07 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Samir Jha

- Pull request https://github.com/Katello/hammer-cli-katello/pull/907 added
#2 - 09/13/2023 05:43 PM - lan Ballou

- Subject changed from hammer content-view list --full-result true command doesn't show the list of all the repository IDs.
to hammer content-view list --full-result true command doesn't show the list of all the repository IDs.
https://bugzilla.redhat.com/show_bug.cgi?id=2141421

- Target version set to Katello 4.11.0

- Triaged changed from No to Yes

#3 - 09/14/2023 06:00 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|8330f7ab955cfe061f25097f78b76a1af7dcf96c.
